# Glib::RWLock Class Reference
[Threads]

Inherits Glib::StaticRWLock.

Collaboration diagram for Glib::RWLock:
[legend]

List of all members.

## Classes

class | ReaderLock
| Utility class for exception-safe locking of read/write locks. More...
class | WriterLock
| Utility class for exception-safe locking of read/write locks. More...

## Public Member Functions

| RWLock ()
| ~RWLock ()

## Constructor & Destructor Documentation

Glib::RWLock::RWLock | ( |  | ) |

Glib::RWLock::~RWLock | ( |  | ) |

The documentation for this class was generated from the following file:

- glibmm/thread.h